Subject: [rohc] iterative compression possible?

From: Guanzhou Wang <[email-masked]>
Date: Sun, 20 Sep 2009 16:54:00 +0800

Hi all

I'm pretty new to RoHC, and I'm wondering if current version(v1 or v2)
supports "iterative compression" of headers? By "iterative compression" I
mean compressing some inner headers first, and use the output as the input
of another compression for the outer headers.

Why I ask this is because I think if there's some protocol header between
the outer headers and inner headers  that current RoHC can't handle, we can
use iterative method to compress all the compressible headers and leave
those unrecognized headers untouched.

I appreciate any thoughts.

thanks,

Wanggz